#ifndef PLDSetupAssistant_H
#define PLDSetupAssistant_H

#include <KAssistantDialog>
#include <KDialog>
#include <KAboutData>

class KCMultiDialog;

class PLDSetupAssistant : public KDialog
{

    Q_OBJECT

public:
    PLDSetupAssistant( QWidget * parent = 0 );
    virtual ~PLDSetupAssistant();
    //KPushButton *nextButton;
    //KPushButton *prevButton;
    //KPushButton *closeButton;

private slots:
    void startAssistant();

};

class StartAssistant : public KAssistantDialog
{

    Q_OBJECT

    KCMultiDialog *keyboardDialog;
    KCMultiDialog *clockDialog;
    KCMultiDialog *netDialog;
    QWidget *finishDialog;
    KPageWidgetItem *keyboardPage;
    KPageWidgetItem *clockPage;
    KPageWidgetItem *netPage;
    KPageWidgetItem *finishPage;

    QWidget * kcmLayout(KCMultiDialog* dialog);
    QWidget * finish();
    KCMultiDialog* kcmDialog(const QString lib, const QString name = "", bool debug = false);

public:
    StartAssistant( QWidget * parent = 0 );
    virtual ~StartAssistant();

public Q_SLOTS:
    virtual void back();
    virtual void next();
};

#endif // PLDSetupAssistant_H
