#include <KApplication>
#include <KCmdLineArgs>
#include <KAboutData>
#include <KLocale>
#include "PLDSetupAssistant.h"

void fillAboutData(KAboutData& aboutData);

int main(int argc, char** argv)
{
  
    KAboutData aboutData( "PLDSetupAssistant", "PLD Setup Assistant", ki18n("PLD Setup Assistant"),
			  "0.1", ki18n("Setup Assistant"), KAboutData::License_GPL);
			  
    fillAboutData(aboutData);
  
    KCmdLineArgs::init( argc, argv, &aboutData );
  
    KApplication app;
    PLDSetupAssistant boot;
    boot.setCaption("Intro");
    return boot.exec();
}

void fillAboutData(KAboutData& aboutData)
{
  aboutData.setProgramIconName("tools-wizard");
  aboutData.addAuthor(ki18n("Bartosz Świątek"), ki18n("Maintainer, Qt4"), "shadzik@pld-linux.org");
  aboutData.addAuthor(ki18n("Bartłomiej Zimoń"), ki18n("Qt4"), "cactus@pld-linux.org");
  aboutData.addCredit(ki18n("Karol Kreński"), ki18n("Graphics"), "mimooh@pld-linux.org");
}